## msitools 0.93

=== debian/changelog ===
msitools (0.93-1) unstable; urgency=low

  * Initial release. Closes: #757007.

 -- Stephen Kitt <skitt@debian.org>  Tue, 30 Dec 2014 22:15:40 +0100

## msitools 0.106+repack

=== meson_options.txt ===
option('validate-wxi',
  type: 'boolean',
  value: false,
  description: 'Check WXI against mingw RPM packages',
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'generate GObject Introspection data',
)

## msitools 0.94

=== debian/changelog ===
msitools (0.94-1) unstable; urgency=medium

  * New upstream release.
  * Drop msi-table.patch, merged upstream.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jul 2015 22:46:26 +0200

=== debian/control ===
Source: msitools
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>=9),
 gobject-introspection,
 intltool,
 libgcab-dev,
 libgirepository1.0-dev,
 libgsf-1-dev,
 uuid-dev,
 valac
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/msitools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/msitools.git;a=summary
Homepage: https://wiki.gnome.org/msitools

Package: msitools
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Windows Installer file manipulation tool
 msitools contains a number of programs to create, inspect and extract
 Windows Installer (.msi) files.
 .
 The following tools are included:
  - msiinfo: inspects MSI packages
  - msibuild: builds MSI packages
  - msidiff: compares two MSI packages' contents
  - msidump: dumps raw MSI tables and stream contents
  - msiextract: extracts files contained in MSI packages

Package: wixl
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Windows Installer creation tool
 wixl builds Windows Installer (.msi) packages from XML documents, in
 a similar fashion to the WiX toolset.
 .
 This package includes wixl-heat, which builds WiX XML fragments from
 lists of files and directories.

Package: libmsi0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Windows Installer file manipulation library
 libmsi provides functions to manipulate Windows Installer (.msi)
 files, both for reading and writing their contents and querying their
 databases.
 .
 This package contains the runtime library.

Package: libmsi0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 libmsi0 (= ${binary:Version}),
 ${misc:Depends}
Description: Windows Installer file manipulation library - debug symbols
 libmsi provides functions to manipulate Windows Installer (.msi)
 files, both for reading and writing their contents and querying their
 databases.
 .
 This package contains the debug symbols.

Package: libmsi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmsi0 (= ${binary:Version}),
 ${misc:Depends}
Description: Windows Installer file manipulation library - development files
 libmsi provides functions to manipulate Windows Installer (.msi)
 files, both for reading and writing their contents and querying their
 databases.
 .
 This package contains the header files and libraries required to
 develop software using libmsi.

Package: gir1.2-libmsi0
Section: introspection
Architecture: any
Multi-ARch: same
Depends:
 ${gir:Depends},
 ${misc:Depends}
Description: Windows Installer file manipulation library - gir bindings
 libmsi provides functions to manipulate Windows Installer (.msi)
 files, both for reading and writing their contents and querying their
 databases.
 .
 This package contains the GObject introspection repository bindings.

=== debian/rules ===
#!/usr/bin/make -f

VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fast-install

override_dh_install:
	dh_install --list-missing -X.la -X.pyc -X.pyo

override_dh_strip:
	dh_strip --dbg-package=libmsi0-dbg

override_dh_auto_build:
	dh_auto_build -- V=1

## msitools 0.95

=== debian/changelog ===
msitools (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Correct gir1.2-libmsi0 Multi-Arch declaration.
  * Make gir1.2-libmsi0 depend on libmsi0. Closes: #795249.
  * Update debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 Dec 2015 17:27:01 +0100

=== debian/control ===
--- 
+++ 
@@ -95,10 +95,11 @@
 Package: gir1.2-libmsi0
 Section: introspection
 Architecture: any
-Multi-ARch: same
+Multi-Arch: same
 Depends:
  ${gir:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ libmsi0
 Description: Windows Installer file manipulation library - gir bindings
  libmsi provides functions to manipulate Windows Installer (.msi)
  files, both for reading and writing their contents and querying their

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,6 @@
 	dh_strip --dbg-package=libmsi0-dbg
 
 override_dh_auto_build:
+# The build fails if it attempts to rebuild wixl from the Vala source
+	touch wixl_vala.stamp wixl_heat_vala.stamp
 	dh_auto_build -- V=1

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/msitools/([\d\.]+)/ \
	msitools-(.*)\.tar\.xz

## msitools 0.96

=== debian/changelog ===
msitools (0.96-3) unstable; urgency=medium

  * As per the GObject-Introspection policy, the typelib package should be
    gir1.2-libmsi-1.0, not gir1.2-libmsi0; rename the package accordingly.
    The -dev package also needs a dependency on the typelib package.
  * Clean up all the generated files, to allow building twice in a row
    (or more).
  * Move shared data from wixl to a new wixl-data package.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Jul 2017 23:13:22 +0200

msitools (0.96-2) unstable; urgency=medium

  * Add patch to correctly parse summary information dates. Closes:
    #793844.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Nov 2016 21:05:00 +0100

msitools (0.96-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to dbgsym debug packages.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Enable all hardening options.
  * Install NEWS as the upstream changelog.

 -- Stephen Kitt <skitt@debian.org>  Wed, 16 Nov 2016 18:44:00 +0100

=== debian/control ===
Source: msitools
Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9.20151219~),
               gobject-introspection,
               intltool,
               libgcab-dev,
               libgirepository1.0-dev,
               libgsf-1-dev,
               uuid-dev,
               valac
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/msitools.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/msitools.git
Homepage: https://wiki.gnome.org/msitools

Package: msitools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Windows Installer file manipulation tool
 msitools contains a number of programs to create, inspect and extract
 Windows Installer (.msi) files.
 .
 The following tools are included:
  - msiinfo: inspects MSI packages
  - msibuild: builds MSI packages
  - msidiff: compares two MSI packages' contents
  - msidump: dumps raw MSI tables and stream contents
  - msiextract: extracts files contained in MSI packages

Package: wixl
Architecture: any
Multi-Arch: foreign
Depends: wixl-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Windows Installer creation tool
 wixl builds Windows Installer (.msi) packages from XML documents, in
 a similar fashion to the WiX toolset.
 .
 This package includes wixl-heat, which builds WiX XML fragments from
 lists of files and directories.

Package: wixl-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Windows Installer creation tool — data files
 wixl builds Windows Installer (.msi) packages from XML documents, in
 a similar fashion to the WiX toolset.
 .
 This package contains the package descriptions.

Package: libmsi0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Windows Installer file manipulation library
 libmsi provides functions to manipulate Windows Installer (.msi)
 files, both for reading and writing their contents and querying their
 databases.
 .
 This package contains the runtime library.

Package: libmsi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-libmsi-1.0 (= ${binary:Version}),
         libmsi0 (= ${binary:Version}),
         ${misc:Depends}
Description: Windows Installer file manipulation library - development files
 libmsi provides functions to manipulate Windows Installer (.msi)
 files, both for reading and writing their contents and querying their
 databases.
 .
 This package contains the header files and libraries required to
 develop software using libmsi.

Package: gir1.2-libmsi-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
         libmsi0
Replaces: gir1.2-libmsi0
Breaks: gir1.2-libmsi0
Description: Windows Installer file manipulation library - gir bindings
 libmsi provides functions to manipulate Windows Installer (.msi)
 files, both for reading and writing their contents and querying their
 databases.
 .
 This package contains the GObject introspection repository bindings.

## msitools 0.97

=== debian/changelog ===
msitools (0.97-1) unstable; urgency=medium

  * New upstream release, merging summary-dates.patch, double-frees.patch
    and invalid-free.patch.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Aug 2017 22:40:40 +0200

msitools (0.96-5) unstable; urgency=medium

  * Fix an invalid free on string properties. Closes: #869082. Thanks to
    Jakub Wilk for finding the crash!
  * Following the package split, wixl-data needs to break/replace wixl...
    Closes: #870224. Thanks to Andreas Beckmann for his tireless tests.

 -- Stephen Kitt <skitt@debian.org>  Mon, 31 Jul 2017 09:02:04 +0200

msitools (0.96-4) unstable; urgency=medium

  * Fix a double-free on string properties. Closes: #868795. Thanks to
    Jakub Wilk for finding the crash!

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Jul 2017 11:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Replaces: wixl (<< 0.96-3)
+Breaks: wixl (<< 0.96-3)
 Description: Windows Installer creation tool — data files
  wixl builds Windows Installer (.msi) packages from XML documents, in
  a similar fashion to the WiX toolset.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fast-install

override_dh_install:
	dh_install --list-missing -X.la -X.pyc -X.pyo

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --ddeb-migration='libmsi0-dbg (<< 0.95-2~)'

override_dh_auto_build:
	dh_auto_build -- V=1

## msitools 0.98

=== debian/changelog ===
msitools (0.98-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to Salsa.
  * The debug package migration is complete, drop the dh_strip override.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 Oct 2018 20:23:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_strip:
-	dh_strip --ddeb-migration='libmsi0-dbg (<< 0.95-2~)'
-
 override_dh_auto_build:
 	dh_auto_build -- V=1

## msitools 0.99

=== debian/changelog ===
msitools (0.99-2) unstable; urgency=medium

  * Convert little-endian values on big-endian platforms.

 -- Stephen Kitt <skitt@debian.org>  Wed, 17 Jul 2019 21:10:10 +0200

msitools (0.99-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 10 (newer levels break because
    of --runstatedir and libtool).
  * Switch to secure debian/watch URL.
  * Specify the build-dependency package in libmsi0.symbols.
  * Standards-Version 4.4.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Jul 2019 18:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9.20151219~),
+Build-Depends: bison,
+               debhelper-compat (= 10),
                gobject-introspection,
                intltool,
                libgcab-dev,
@@ -10,10 +11,11 @@
                libgsf-1-dev,
                uuid-dev,
                valac
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/msitools.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/msitools.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/debian/msitools
+Vcs-Git: https://salsa.debian.org/debian/msitools.git
 Homepage: https://wiki.gnome.org/msitools
+Rules-Requires-Root: no
 
 Package: msitools
 Architecture: any

## msitools 0.100

=== debian/changelog ===
msitools (0.100-1) unstable; urgency=medium

  * New upstream release, merging big-endian.patch.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Nov 2019 14:30:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libgsf-1-dev,
                uuid-dev,
                valac
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/msitools
 Vcs-Git: https://salsa.debian.org/debian/msitools.git
 Homepage: https://wiki.gnome.org/msitools

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --without autoreconf

override_dh_missing:
	dh_missing --list-missing -X.la -X.pyc -X.pyo

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build:
	dh_auto_build -- V=1

=== debian/watch ===
version=3
https://ftp.gnome.org/pub/GNOME/sources/msitools/([\d\.]+)/ \
	msitools-(.*)\.tar\.xz

## msitools 0.101

=== debian/changelog ===
msitools (0.101-1) unstable; urgency=medium

  * New upstream release, building using Meson and dropping the uuid
    build-dependency.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Feb 2021 13:50:25 +0100

msitools (0.100-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from
    ./configure), Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Stephen Kitt ]
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.
  * Bump debian/watch version, fix it to avoid scanning the parent
    directory.

 -- Stephen Kitt <skitt@debian.org>  Wed, 06 Jan 2021 09:05:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Section: utils
 Priority: optional
 Build-Depends: bison,
-               debhelper-compat (= 10),
+               debhelper-compat (= 13),
                gobject-introspection,
-               intltool,
                libgcab-dev,
                libgirepository1.0-dev,
+               libglib2.0-dev,
                libgsf-1-dev,
-               uuid-dev,
+               libxml2-dev,
+               meson (>= 0.52),
                valac
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/msitools
 Vcs-Git: https://salsa.debian.org/debian/msitools.git
 Homepage: https://wiki.gnome.org/msitools

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --with gir

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
https://ftp.gnome.org/pub/GNOME/sources/msitools/(\d[\d\.]+)/ \
	msitools-(.*)\.tar\.xz

## msitools 0.101+repack

=== debian/changelog ===
msitools (0.101+repack-1) unstable; urgency=medium

  * Avoid generating an empty wixl.h during the build.
  * Use the packaged bats instead of the bundled version.
  * Skip the tests on big-endian architectures until we determine what’s
    broken.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Feb 2021 19:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: bison,
+Build-Depends: bats,
+               bison,
                debhelper-compat (= 13),
                gobject-introspection,
                libgcab-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -9,3 +11,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+# See https://gitlab.gnome.org/GNOME/msitools/-/issues/32
+# We still ship the package for now, it's not clear whether the tools
+# or the tests are broken
+ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
+override_dh_auto_test:
+endif

## msitools 0.102+repack

=== debian/changelog ===
msitools (0.102+repack-1) unstable; urgency=medium

  * New upstream release, fixing a number of pointer errors. Closes:
    #871503, #871504, #871529, #871571.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Jun 2023 16:02:09 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libxml2-dev,
                meson (>= 0.52),
                valac
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/msitools
 Vcs-Git: https://salsa.debian.org/debian/msitools.git
 Homepage: https://wiki.gnome.org/msitools

## msitools 0.103+repack

=== debian/changelog ===
msitools (0.103+repack-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:10:52 +0000

msitools (0.103+repack-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:15:38 +0000

msitools (0.103+repack-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:47:14 +0000

msitools (0.103+repack-1) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Sep 2023 06:48:40 +0200

msitools (0.103+repack-1~exp1) experimental; urgency=medium

  * New upstream release, renaming libmsi.so.0 to libmsi-1.0.so.0.
  * Drop constraints referencing obsolete versions of wixl and
    gir1.2-libmsi0.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Sep 2023 21:29:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: msitools
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: bats,
@@ -52,15 +53,13 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Replaces: wixl (<< 0.96-3)
-Breaks: wixl (<< 0.96-3)
 Description: Windows Installer creation tool — data files
  wixl builds Windows Installer (.msi) packages from XML documents, in
  a similar fashion to the WiX toolset.
  .
  This package contains the package descriptions.
 
-Package: libmsi0
+Package: libmsi-1.0-0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -79,7 +78,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-libmsi-1.0 (= ${binary:Version}),
-         libmsi0 (= ${binary:Version}),
+         libmsi-1.0-0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Windows Installer file manipulation library - development files
  libmsi provides functions to manipulate Windows Installer (.msi)
@@ -95,9 +94,7 @@
 Section: introspection
 Depends: ${gir:Depends},
          ${misc:Depends},
-         libmsi0
-Replaces: gir1.2-libmsi0
-Breaks: gir1.2-libmsi0
+         libmsi-1.0-0
 Description: Windows Installer file manipulation library - gir bindings
  libmsi provides functions to manipulate Windows Installer (.msi)
  files, both for reading and writing their contents and querying their

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+# The license is reproduced verbatim in debian/copyright
+execute_after_dh_auto_install:
+	rm -f debian/tmp/usr/share/wixl-*/ext/ui/LICENSE.txt
+
 # See https://gitlab.gnome.org/GNOME/msitools/-/issues/32
 # We still ship the package for now, it's not clear whether the tools
 # or the tests are broken

## msitools 0.106+repack

=== debian/changelog ===
msitools (0.106+repack-2) unstable; urgency=medium

  * Drop the build-dependency on libgirepository1.0-dev.
  * Remove the old FSF address from debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Aug 2025 09:55:10 +0200

msitools (0.106+repack-1) unstable; urgency=medium

  * New upstream release.
  * Calculate “Provides” for libmsi-dev using gir:Provides.
  * Add support for the “nogir” build profile, relying on
    dh_girepository to fill in all the relevant dependencies.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Mar 2025 12:20:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: msitools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: bats,
                bison,
                debhelper-compat (= 13),
+               dh-exec,
+               gir1.2-gio-2.0-dev <!nogir>,
+               gir1.2-glib-2.0-dev <!nogir>,
+               gir1.2-gobject-2.0-dev <!nogir>,
                gobject-introspection,
                libgcab-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev,
                libgsf-1-dev,
                libxml2-dev,
-               meson (>= 0.52),
+               meson (>= 1.4),
                valac
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/msitools
 Vcs-Git: https://salsa.debian.org/debian/msitools.git
 Homepage: https://wiki.gnome.org/msitools
@@ -39,6 +41,7 @@
 Package: wixl
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!nogir>
 Depends: wixl-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -77,9 +80,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-libmsi-1.0 (= ${binary:Version}),
-         libmsi-1.0-0 (= ${binary:Version}),
+Depends: libmsi-1.0-0 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: Windows Installer file manipulation library - development files
  libmsi provides functions to manipulate Windows Installer (.msi)
  files, both for reading and writing their contents and querying their
@@ -92,9 +96,9 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
+Build-Profiles: <!nogir>
 Depends: ${gir:Depends},
-         ${misc:Depends},
-         libmsi-1.0-0
+         ${misc:Depends}
 Description: Windows Installer file manipulation library - gir bindings
  libmsi provides functions to manipulate Windows Installer (.msi)
  files, both for reading and writing their contents and querying their

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,13 @@
 
 %:
 	dh $@ --with gir
+
+override_dh_auto_configure:
+ifneq ($(filter nogir,$(DEB_BUILD_PROFILES)),)
+	dh_auto_configure -- -Dintrospection=false
+else
+	dh_auto_configure
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -21,4 +28,10 @@
 # or the tests are broken
 ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
 override_dh_auto_test:
+else
+# The tests assume wixl is available, but it isn't built if introspection
+# is disabled
+ifneq ($(filter nogir,$(DEB_BUILD_PROFILES)),)
+override_dh_auto_test:
 endif
+endif

=== debian/watch ===
version=4
opts="repacksuffix=+repack,dversionmangle=s/\+repack$//" \
https://ftp.gnome.org/pub/GNOME/sources/msitools/(\d[\d\.]+)/ \
	msitools-(.*)\.tar\.xz
